import { _filters } from 'src/_mock/_data';

export type Type = 'BOOLEAN' | 'DATE' | 'VARCHAR' | 'INTEGER' | 'DECIMAL';

export type Filter = {
    id: number;
    label?: string;
    name: string;
    type: Type;
};

export function getFiltersAsync(): Promise<Filter[]> {
    return Promise.resolve(_filters);
}